define(["require", "exports", "react", "office-ui-fabric-react/lib/Button", "office-ui-fabric-react/lib/ContextualMenu", "@uifabric/react-hooks"], function (require, exports, React, Button_1, ContextualMenu_1, react_hooks_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ContextualMenuHeaderExample = function () {
        var menuProps = react_hooks_1.useConst(function () { return ({
            shouldFocusOnMount: true,
            items: [
                {
                    key: 'Actions',
                    itemType: ContextualMenu_1.ContextualMenuItemType.Header,
                    text: 'Actions',
                    itemProps: { lang: 'en-us' },
                },
                {
                    key: 'upload',
                    iconProps: { iconName: 'Upload', style: { color: 'salmon' } },
                    text: 'Upload',
                    title: 'Upload a file',
                },
                { key: 'rename', text: 'Rename' },
                {
                    key: 'share',
                    iconProps: { iconName: 'Share' },
                    subMenuProps: {
                        items: [
                            { key: 'sharetoemail', text: 'Share to Email', iconProps: { iconName: 'Mail' } },
                            { key: 'sharetofacebook', text: 'Share to Facebook' },
                            { key: 'sharetotwitter', text: 'Share to Twitter', iconProps: { iconName: 'Share' } },
                        ],
                    },
                    text: 'Sharing',
                    ariaLabel: 'Sharing. Press enter, space or right arrow keys to open submenu.',
                },
                {
                    key: 'navigation',
                    itemType: ContextualMenu_1.ContextualMenuItemType.Header,
                    text: 'Navigation',
                },
                { key: 'properties', text: 'Properties' },
                { key: 'print', iconProps: { iconName: 'Print' }, text: 'Print' },
                { key: 'Bing', text: 'Go to Bing', href: 'http://www.bing.com', target: '_blank' },
            ],
        }); });
        return React.createElement(Button_1.DefaultButton, { text: "Click for ContextualMenu", menuProps: menuProps });
    };
});
//# sourceMappingURL=ContextualMenu.Header.Example.js.map